=====
Types
=====

This section provides an overview of the various types and classes used within the `eodag` library.
It includes details about the core types, download arguments, and specialized data structures like `XarrayDict` for handling geospatial data efficiently.

.. automodule:: eodag.types.__init__
   :members:

.. automodule:: eodag.types.download_args
   :members:

.. autoclass:: eodag_cube.types.XarrayDict
   :members:
